Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.policy
Class ProfilePriorityPolicyHelper

    java.lang.Object
      |
      +--org.openorb.policy.ProfilePriorityPolicyHelper

public class ProfilePriorityPolicyHelper
extends java.lang.Object

Helper class for : ProfilePriorityPolicy

Author:
  OpenORB Compiler

Constructor Summary
`ProfilePriorityPolicyHelper()`

Method Summary
`static ProfilePriorityPolicy` | `extract(Any a)` Extract ProfilePriorityPolicy from an any
`static java.lang.String` | `id()` Return the ProfilePriorityPolicy IDL ID
`static void` | `insert(Any a, ProfilePriorityPolicy t)` Insert ProfilePriorityPolicy into an any
`static ProfilePriorityPolicy` | `narrow(Object obj)` Narrow CORBA::Object to ProfilePriorityPolicy
`static ProfilePriorityPolicy` | `read(InputStream istream)` Read ProfilePriorityPolicy from a marshalled stream
`static TypeCode` | `type()` Return the ProfilePriorityPolicy TypeCode
`static ProfilePriorityPolicy` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ProfilePriorityPolicy
`static void` | `write(OutputStream ostream, ProfilePriorityPolicy value)` Write ProfilePriorityPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfilePriorityPolicyHelper

    public ProfilePriorityPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ProfilePriorityPolicy t)

  Insert ProfilePriorityPolicy into an any
  Parameters:
    `a` - an any
    `t` - ProfilePriorityPolicy value

### extract

    public static ProfilePriorityPolicy extract(Any a)

  Extract ProfilePriorityPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ProfilePriorityPolicy value

### type

    public static TypeCode type()

  Return the ProfilePriorityPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ProfilePriorityPolicy IDL ID
  Returns:
    an ID

### read

    public static ProfilePriorityPolicy read(InputStream istream)

  Read ProfilePriorityPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ProfilePriorityPolicy value

### write

    public static void write(OutputStream ostream,
                             ProfilePriorityPolicy value)

  Write ProfilePriorityPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ProfilePriorityPolicy value

### narrow

    public static ProfilePriorityPolicy narrow(Object obj)

  Narrow CORBA::Object to ProfilePriorityPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ProfilePriorityPolicy Object

### unchecked_narrow

    public static ProfilePriorityPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ProfilePriorityPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ProfilePriorityPolicy Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD